# GstPlayVideoOverlayVideoRenderer

    GObject
        ╰──GstPlayVideoOverlayVideoRenderer

Since : 1.20

### Class structure

#### GstPlayVideoOverlayVideoRendererClass

### GstPlay.PlayVideoOverlayVideoRendererClass

## GstPlay.PlayVideoOverlayVideoRenderer

    GObject.Object
        ╰──GstPlay.PlayVideoOverlayVideoRenderer

Since : 1.20

## GstPlay.PlayVideoOverlayVideoRenderer

    GObject.Object
        ╰──GstPlay.PlayVideoOverlayVideoRenderer

Since : 1.20

### Methods

#### gst_play_video_overlay_video_renderer_expose

    gst_play_video_overlay_video_renderer_expose (GstPlayVideoOverlayVideoRenderer * self)

Tell an overlay that it has been exposed. This will redraw the current frame in the drawable even if the pipeline is PAUSED.

Parameters:

`self` –

a GstPlayVideoOverlayVideoRenderer instance.

Since : 1.20

#### GstPlay.PlayVideoOverlayVideoRenderer.prototype.expose

    function GstPlay.PlayVideoOverlayVideoRenderer.prototype.expose(): {
        // javascript wrapper for 'gst_play_video_overlay_video_renderer_expose'
    }

Tell an overlay that it has been exposed. This will redraw the current frame in the drawable even if the pipeline is PAUSED.

Parameters:

`self` (GstPlay.PlayVideoOverlayVideoRenderer) –

a GstPlay.PlayVideoOverlayVideoRenderer instance.

Since : 1.20

#### GstPlay.PlayVideoOverlayVideoRenderer.expose

    def GstPlay.PlayVideoOverlayVideoRenderer.expose (self):
        #python wrapper for 'gst_play_video_overlay_video_renderer_expose'

Tell an overlay that it has been exposed. This will redraw the current frame in the drawable even if the pipeline is PAUSED.

Parameters:

`self` (GstPlay.PlayVideoOverlayVideoRenderer) –

a GstPlay.PlayVideoOverlayVideoRenderer instance.

Since : 1.20

#### gst_play_video_overlay_video_renderer_get_render_rectangle

    gst_play_video_overlay_video_renderer_get_render_rectangle (GstPlayVideoOverlayVideoRenderer * self,
                                                                gint* x,
                                                                gint* y,
                                                                gint* width,
                                                                gint* height)

Return the currently configured render rectangle. See gst_play_video_overlay_video_renderer_set_render_rectangle for details.

Parameters:

`self` –

a GstPlayVideoOverlayVideoRenderer instance

`x` ( [out][allow-none]) –

the horizontal offset of the render area inside the window

`y` ( [out][allow-none]) –

the vertical offset of the render area inside the window

`width` ( [out][allow-none]) –

the width of the render area inside the window

`height` ( [out][allow-none]) –

the height of the render area inside the window

Since : 1.20

#### GstPlay.PlayVideoOverlayVideoRenderer.prototype.get_render_rectangle

    function GstPlay.PlayVideoOverlayVideoRenderer.prototype.get_render_rectangle(): {
        // javascript wrapper for 'gst_play_video_overlay_video_renderer_get_render_rectangle'
    }

Return the currently configured render rectangle. See GstPlay.PlayVideoOverlayVideoRenderer.prototype.set_render_rectangle for details.

Parameters:

`self` (GstPlay.PlayVideoOverlayVideoRenderer) –

a GstPlay.PlayVideoOverlayVideoRenderer instance

Since : 1.20

#### GstPlay.PlayVideoOverlayVideoRenderer.get_render_rectangle

    def GstPlay.PlayVideoOverlayVideoRenderer.get_render_rectangle (self):
        #python wrapper for 'gst_play_video_overlay_video_renderer_get_render_rectangle'

Return the currently configured render rectangle. See GstPlay.PlayVideoOverlayVideoRenderer.set_render_rectangle for details.

Parameters:

`self` (GstPlay.PlayVideoOverlayVideoRenderer) –

a GstPlay.PlayVideoOverlayVideoRenderer instance

Since : 1.20

#### gst_play_video_overlay_video_renderer_get_window_handle

    gpointer
    gst_play_video_overlay_video_renderer_get_window_handle (GstPlayVideoOverlayVideoRenderer * self)

Parameters:

`self` –

GstPlayVideoRenderer instance

Returns ( [transfer: none]) –

The currently set, platform specific window handle

Since : 1.20

#### GstPlay.PlayVideoOverlayVideoRenderer.prototype.get_window_handle

    function GstPlay.PlayVideoOverlayVideoRenderer.prototype.get_window_handle(): {
        // javascript wrapper for 'gst_play_video_overlay_video_renderer_get_window_handle'
    }

Parameters:

`self` (GstPlay.PlayVideoOverlayVideoRenderer) –

GstPlay.PlayVideoRenderer instance

Returns (Object) –

The currently set, platform specific window handle

Since : 1.20

#### GstPlay.PlayVideoOverlayVideoRenderer.get_window_handle

    def GstPlay.PlayVideoOverlayVideoRenderer.get_window_handle (self):
        #python wrapper for 'gst_play_video_overlay_video_renderer_get_window_handle'

Parameters:

`self` (GstPlay.PlayVideoOverlayVideoRenderer) –

GstPlay.PlayVideoRenderer instance

Returns (object) –

The currently set, platform specific window handle

Since : 1.20

#### gst_play_video_overlay_video_renderer_set_render_rectangle

    gst_play_video_overlay_video_renderer_set_render_rectangle (GstPlayVideoOverlayVideoRenderer * self,
                                                                gint x,
                                                                gint y,
                                                                gint width,
                                                                gint height)

Configure a subregion as a video target within the window set by gst_play_video_overlay_video_renderer_set_window_handle. If this is not used or not supported the video will fill the area of the window set as the overlay to 100%. By specifying the rectangle, the video can be overlaid to a specific region of that window only. After setting the new rectangle one should call gst_play_video_overlay_video_renderer_expose to force a redraw. To unset the region pass -1 for the width and height parameters.

This method is needed for non fullscreen video overlay in UI toolkits that do not support subwindows.

Parameters:

`self` –

a GstPlayVideoOverlayVideoRenderer instance

`x` –

the horizontal offset of the render area inside the window

`y` –

the vertical offset of the render area inside the window

`width` –

the width of the render area inside the window

`height` –

the height of the render area inside the window

Since : 1.20

#### GstPlay.PlayVideoOverlayVideoRenderer.prototype.set_render_rectangle

    function GstPlay.PlayVideoOverlayVideoRenderer.prototype.set_render_rectangle(x: Number, y: Number, width: Number, height: Number): {
        // javascript wrapper for 'gst_play_video_overlay_video_renderer_set_render_rectangle'
    }

Configure a subregion as a video target within the window set by GstPlay.PlayVideoOverlayVideoRenderer.prototype.set_window_handle. If this is not used or not supported the video will fill the area of the window set as the overlay to 100%. By specifying the rectangle, the video can be overlaid to a specific region of that window only. After setting the new rectangle one should call GstPlay.PlayVideoOverlayVideoRenderer.prototype.expose to force a redraw. To unset the region pass -1 for the width and height parameters.

This method is needed for non fullscreen video overlay in UI toolkits that do not support subwindows.

Parameters:

`self` (GstPlay.PlayVideoOverlayVideoRenderer) –

a GstPlay.PlayVideoOverlayVideoRenderer instance

`x` (Number) –

the horizontal offset of the render area inside the window

`y` (Number) –

the vertical offset of the render area inside the window

`width` (Number) –

the width of the render area inside the window

`height` (Number) –

the height of the render area inside the window

Since : 1.20

#### GstPlay.PlayVideoOverlayVideoRenderer.set_render_rectangle

    def GstPlay.PlayVideoOverlayVideoRenderer.set_render_rectangle (self, x, y, width, height):
        #python wrapper for 'gst_play_video_overlay_video_renderer_set_render_rectangle'

Configure a subregion as a video target within the window set by GstPlay.PlayVideoOverlayVideoRenderer.set_window_handle. If this is not used or not supported the video will fill the area of the window set as the overlay to 100%. By specifying the rectangle, the video can be overlaid to a specific region of that window only. After setting the new rectangle one should call GstPlay.PlayVideoOverlayVideoRenderer.expose to force a redraw. To unset the region pass -1 for the width and height parameters.

This method is needed for non fullscreen video overlay in UI toolkits that do not support subwindows.

Parameters:

`self` (GstPlay.PlayVideoOverlayVideoRenderer) –

a GstPlay.PlayVideoOverlayVideoRenderer instance

`x` (int) –

the horizontal offset of the render area inside the window

`y` (int) –

the vertical offset of the render area inside the window

`width` (int) –

the width of the render area inside the window

`height` (int) –

the height of the render area inside the window

Since : 1.20

#### gst_play_video_overlay_video_renderer_set_window_handle

    gst_play_video_overlay_video_renderer_set_window_handle (GstPlayVideoOverlayVideoRenderer * self,
                                                             gpointer window_handle)

Sets the platform specific window handle into which the video should be rendered

Parameters:

`self` –

GstPlayVideoRenderer instance

`window_handle` –

handle referencing to the platform specific window

Since : 1.20

#### GstPlay.PlayVideoOverlayVideoRenderer.prototype.set_window_handle

    function GstPlay.PlayVideoOverlayVideoRenderer.prototype.set_window_handle(window_handle: Object): {
        // javascript wrapper for 'gst_play_video_overlay_video_renderer_set_window_handle'
    }

Sets the platform specific window handle into which the video should be rendered

Parameters:

`self` (GstPlay.PlayVideoOverlayVideoRenderer) –

GstPlay.PlayVideoRenderer instance

`window_handle` (Object) –

handle referencing to the platform specific window

Since : 1.20

#### GstPlay.PlayVideoOverlayVideoRenderer.set_window_handle

    def GstPlay.PlayVideoOverlayVideoRenderer.set_window_handle (self, window_handle):
        #python wrapper for 'gst_play_video_overlay_video_renderer_set_window_handle'

Sets the platform specific window handle into which the video should be rendered

Parameters:

`self` (GstPlay.PlayVideoOverlayVideoRenderer) –

GstPlay.PlayVideoRenderer instance

`window_handle` (object) –

handle referencing to the platform specific window

Since : 1.20

### Functions

#### gst_play_video_overlay_video_renderer_new

    GstPlayVideoRenderer *
    gst_play_video_overlay_video_renderer_new (gpointer window_handle)

Parameters:

`window_handle` ( [allow-none]) –

Window handle to use or NULL

Returns –

(transfer full):

Since : 1.20

#### GstPlay.PlayVideoOverlayVideoRenderer.prototype.new

    function GstPlay.PlayVideoOverlayVideoRenderer.prototype.new(window_handle: Object): {
        // javascript wrapper for 'gst_play_video_overlay_video_renderer_new'
    }

Parameters:

`window_handle` (Object) –

Window handle to use or NULL

Returns (GstPlay.PlayVideoRenderer) –

(transfer full):

Since : 1.20

#### GstPlay.PlayVideoOverlayVideoRenderer.new

    def GstPlay.PlayVideoOverlayVideoRenderer.new (window_handle):
        #python wrapper for 'gst_play_video_overlay_video_renderer_new'

Parameters:

`window_handle` (object) –

Window handle to use or NULL

Returns (GstPlay.PlayVideoRenderer) –

(transfer full):

Since : 1.20

#### gst_play_video_overlay_video_renderer_new_with_sink

    GstPlayVideoRenderer *
    gst_play_video_overlay_video_renderer_new_with_sink (gpointer window_handle,
                                                         GstElement * video_sink)

Parameters:

`window_handle` ( [allow-none]) –

Window handle to use or NULL

`video_sink` ( [transfer: floating]) –

the custom video_sink element to be set for the video renderer

Returns –

(transfer full):

Since : 1.20

#### GstPlay.PlayVideoOverlayVideoRenderer.prototype.new_with_sink

    function GstPlay.PlayVideoOverlayVideoRenderer.prototype.new_with_sink(window_handle: Object, video_sink: Gst.Element): {
        // javascript wrapper for 'gst_play_video_overlay_video_renderer_new_with_sink'
    }

Parameters:

`window_handle` (Object) –

Window handle to use or NULL

`video_sink` (Gst.Element) –

the custom video_sink element to be set for the video renderer

Returns (GstPlay.PlayVideoRenderer) –

(transfer full):

Since : 1.20

#### GstPlay.PlayVideoOverlayVideoRenderer.new_with_sink

    def GstPlay.PlayVideoOverlayVideoRenderer.new_with_sink (window_handle, video_sink):
        #python wrapper for 'gst_play_video_overlay_video_renderer_new_with_sink'

Parameters:

`window_handle` (object) –

Window handle to use or NULL

`video_sink` (Gst.Element) –

the custom video_sink element to be set for the video renderer

Returns (GstPlay.PlayVideoRenderer) –

(transfer full):

Since : 1.20

### Properties

#### video-sink

    “video-sink” GstElement *

Flags : Read / Write

#### video-sink

    “video-sink” Gst.Element

Flags : Read / Write

#### video_sink

    “self.props.video_sink” Gst.Element

Flags : Read / Write

#### window-handle

    “window-handle” gpointer

Flags : Read / Write / Construct

#### window-handle

    “window-handle” Object

Flags : Read / Write / Construct

#### window_handle

    “self.props.window_handle” object

Flags : Read / Write / Construct

## Function Macros

### GST_PLAY_VIDEO_OVERLAY_VIDEO_RENDERER_CAST

    #define GST_PLAY_VIDEO_OVERLAY_VIDEO_RENDERER_CAST(obj)        ((GstPlayVideoOverlayVideoRenderer*)(obj))

Since : 1.20

The results of the search are